## iptables-converter 0.9.3

=== Makefile ===
FILES= Makefile README.txt LICENSE.txt iptables_converter.py iptables_converter_tests.py 

testing:
	@cat README.txt
	@echo "Now starting tests ..."
	/usr/local/bin/tox
	@#nosetests -v --with-coverage  iptables_converter_tests.py


rpm:
	python setup.py bdist_rpm

deb:
	gbp buildpackage

doc:
	(cd docs; make html )

clean:
	@python setup.py clean --bdist-base build
	@rm -rf *~ *.pyc .coverage build docs/build/*
	@rm -rf iptables_converter.egg-info
	@rm -rf dist __pycache__ *.py3
	@(cd docs; make clean)
	@dh_clean

=== debian/changelog ===
iptables-converter (0.9.3-1) unstable; urgency=low

  * Bump version number to force source upload.
  * Closes: #712263

 -- Toni Mueller <toni@debian.org>  Wed, 19 Feb 2014 14:45:51 +0100

iptables-converter (0.9.2-1) unstable; urgency=low

  * Fixed a few dependency issues, and removed the testing stuff
    from the build.
  * ATTENTION: Changed package format from native to non-native.

 -- Toni Mueller <toni@debian.org>  Wed, 09 Oct 2013 00:58:31 +0200

iptables-converter (0.9.2) unstable; urgency=low

  * [0f22ad5] version changed to 0.9.2, no longer a python module as .deb
  * [e8daf4d] debian control and rules produce no more a python-module
  * [7fef316] README.txt mentions new version, debian and rpm packages

 -- Johannes Hubertz <johannes@hubertz.de>  Sun, 25 Aug 2013 23:16:58 +0200

iptables-converter (0.9.1) unstable; urgency=low

  * [aadc8a3] v0.9.1: tests are enhanced and rewritten, python3.2 now works

 -- Johannes Hubertz <johannes@hubertz.de>  Sun, 11 Aug 2013 23:37:16 +0200

iptables-converter (0.9) unstable; urgency=low

  * [27b26a6] README now 0.8 and 2013-08-01 as well
  * [b97d833] sphinxdoc added, Makefile targer: doc
  * [8e057b4] first version of sphinx-doc added
  * [559dc16] iptables_converter.py now python3 ready, all prints changed
  * [7cc85f1] distutils replaced by setuptools for -doc package
  * [b49572b] documentation adapted to version 0.9
  * [82d5a49] Makefile more replaced by cat, README adapted to v0.9
  * [8a58ae2] control now shows two packages: iptables-converter and -docs

 -- Johannes Hubertz <johannes@hubertz.de>  Mon, 05 Aug 2013 00:51:40 +0200

iptables-converter (0.8) unstable; urgency=low

  * [20c2ed1] manpages also renamed
  * [569fdb5] renaming included the deletion of the old file
  * [240c595] copy .py to pyshared as well
  * [f10c3ab] dh_python necessary for dependencies
  * [86be17f] dh_python replaced by python-support reasoned by squeeze install
  * [d4be880] Version changed to 0.8

 -- Johannes Hubertz <johannes@hubertz.de>  Fri, 02 Aug 2013 00:50:59 +0200

iptables-converter (0.7) unstable; urgency=low

  * [f4a6673] Version 0.7 released
  * /usr/sbin/iptables-converter shipped, no more a python-module

 -- Johannes Hubertz <johannes@hubertz.de>  Sat, 20 Jul 2013 21:51:57 +0200

iptables-converter (0.6) unstable; urgency=low

  * Initial release

 -- Johannes Hubertz <johannes@hubertz.de>  Tue, 11 Jun 2013 00:19:47 +0200

=== debian/control ===
Source: iptables-converter
Maintainer: Johannes Hubertz <johannes@hubertz.de>
Section: utils
Priority: optional
Build-Depends: python (>= 2.6.5-3-), debhelper (>= 9), python-sphinx (>= 1.0.7+dfsg) | python3-sphinx, python-setuptools, python-sphinxcontrib.nwdiag, python-sphinxcontrib.blockdiag 
Uploaders: Toni Mueller <toni@debian.org>
X-Python-Version: (>= 2.6)
Standards-Version: 3.9.5

Package: iptables-converter
Section: utils
Architecture: all
Depends: python (>= 2.6.5), ${misc:Depends}
Description: convert set of iptables-commands to iptables-save format
 iptables_converter.py: convert iptables in a script to iptables-save 
 readable format to stdout with [0:0] for iptables-restore -c

Package: iptables-converter-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: sphinx documentation for iptables-converter
 iptables-converter: convert iptables in a script to iptables-save

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1
export DH_OPTIONS=-v
export DEB_BUILD_OPTIONS=1

PYTHON2=$(shell pyversions -vr)
#PYTHON3=$(shell py3versions -vr)

# Prevent setuptools/distribute from accessing the internet.
export http_proxy = http://127.0.9.1:9

%:
	dh $@ --with python2,sphinxdoc

build-python%:
	python$* setup.py build

#override_dh_auto_build: $(PYTHON3:%=build-python%)
#	dh_auto_build

install-python%:
	python$* setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb

#override_dh_auto_install: $(PYTHON3:%=install-python%)
#	dh_install --exclude=html

override_dh_install: 
	dh_prep
	dh_installdirs /usr/sbin /usr/share/pyshared /usr/share/man/man8
	dh_installman --language=C man/*
	dh_installdocs --exclude=html

	##cd $(CURDIR)/debian/iptables-converter/usr/share/doc/iptables-converter &&
	##	cp $/
	#cd $(CURDIR)/debian/iptables-converter/usr/share/pyshared && \
	#	cp $(CURDIR)/iptables_converter.py iptables_converter.py && \
	cd $(CURDIR)/debian/iptables-converter/usr/sbin && \
		cp $(CURDIR)/iptables_converter.py iptables-converter && \
	cd $(CURDIR)
	dh_lintian


override_dh_installdocs:
	python setup.py build_sphinx
	dh_installdocs --package=iptables-converter-doc build/sphinx/html

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build
	rm -rf *.egg-info

## iptables-converter 0.9.5

=== Makefile ===
FILES= Makefile README.txt LICENSE.txt iptables_converter.py iptables_converter_tests.py 


doc:
	(cd docs; make html )

clean:
	@python setup.py clean --bdist-base build
	@rm -rf *~ *.pyc .coverage build docs/build/*
	@rm -rf iptables_converter.egg-info
	@rm -rf dist __pycache__ *.py3
	@(cd docs; make clean)
	@dh_clean

## iptables-converter 0.9.8

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 clean:
 	@python setup.py clean --bdist-base build
-	@rm -rf *~ *.pyc .coverage build docs/build/*
+	@rm -rf *~ *.pyc .pybuild/ .coverage build docs/build/* .tox
 	@rm -rf iptables_converter.egg-info
 	@rm -rf dist __pycache__ *.py3
 	@(cd docs; make clean)

=== debian/changelog ===
iptables-converter (0.9.8-1) unstable; urgency=medium

  * Import upstream version 0.9.8
  * debian subtree deleted from master branch
  * clean now removes .pybuild as well
  * split master as uplink from debian/sid branch
  * german words replaced by english terms (Closes: #780688)

 -- Johannes Hubertz <johannes@hubertz.de>  Tue, 17 Mar 2015 22:50:26 +0100

iptables-converter (0.9.7) unstable; urgency=low

  * version increased to 0.9.7
  * python3.4 led into some testing-trouble, cleaned up
  * class ConverterError introduced, compatible for 2.7 and 3.4
  * build-deps for python2,python3
  * rules with python2,python3 support now

 -- Johannes Hubertz <johannes@hubertz.de>  Sat, 29 Nov 2014 16:56:46 +0100

iptables-converter (0.9.6) unstable; urgency=low

  * tox tests now fit in jessie
  * patches applied and removed, format back to native
  * keyword 'new' moved due to pep8 results tree times
  * tests import adapted to python3
  * tox.ini default tests now py26, pep8, docs
  * sphinx extensions reduced, only autodoc is left
  * Build-Dependancies and sphinx conf.py corrected
  * debian/rules simplified
  * version set to 0.9.6 everywhere

 -- Johannes Hubertz <johannes@hubertz.de>  Tue, 25 Nov 2014 11:29:52 +0100

iptables-converter (0.9.5-1) unstable; urgency=low

  * [63bdb0d] illegal characters '$()' no longer lead to faulty output
  * [3efcb8b] short inputfile should be valid except for a variable
  * [d36c02b] short inputfile should be valid except for a function.
              Thanks to Guido for the bugreport
              Closes: #748638
  * [302e5f9] tests now proof for shell varaibles and functions
  * [2369725] manpages updated and corrected for exit status
  * [202d159] copied and adapted from iptables-converter
  * [5098422] version set to 0.9.5
  * [8379d72] ip6tables_converter.py added
  * [7708973] adapted to additional tests for shell vars, funcs
  * [aa690f8] sphinx-doc updated, errors with functions and variables mentioned
  * [1ff76c9] version changed to 0.9.5
  * [0751002] Improve package description.
              Closes: #748635

 -- Johannes Hubertz <johannes@hubertz.de>  Mon, 16 Jun 2014 21:33:31 +0200

iptables-converter (0.9.4-1) unstable; urgency=medium

  * ip6tables-converter introduced, versionstring changed to 0.9.4
  * ip6tables-converter and tests written and tested
  * man-page for ip6tables-converter, re6ference-one
  * debian: control, manpages and rules adapted to ip6tables-converter.py

 -- Johannes Hubertz <johannes@hubertz.de>  Thu, 01 May 2014 21:46:05 +0200

=== debian/control ===
Source: iptables-converter
Maintainer: Johannes Hubertz <johannes@hubertz.de>
Section: utils
Priority: optional
Build-Depends: python (>= 2.6.5),
               python-setuptools,
               python-sphinx,
               dh-python,
               debhelper (>= 9),
               python3 (>= 3.4),
               python3-setuptools,
               python3-sphinx
Uploaders: Toni Mueller <toni@debian.org>
X-Python-Version: (>= 2.6)
Standards-Version: 3.9.6

Package: iptables-converter
Section: utils
Architecture: all
Depends: python (>= 2.6.5), ${misc:Depends}
Description: convert iptables-commands from a file to iptables-save format
 iptables-converter: reads a file with iptables commands and converts
 these to an iptables-save readable format. To provide compatibility
 with iptables-save -c command zero packet and byte counters [0:0] are
 printed out.
 ip6tables-converter does the same for IPv6.

Package: iptables-converter-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: sphinx documentation for iptables-converter
 iptables-converter: convert iptables from file to iptables-save format
 ip6tables-converter mentioned

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/pkg-info.mk

export DH_VERBOSE=1
export DH_OPTIONS=-v
export DEB_BUILD_OPTIONS=1

# Prevent setuptools/distribute from accessing the internet.
export http_proxy = http://127.0.9.1:9

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

build: build-stamp

build-stamp:
	dh_testdir

clean:
	dh_clean

override_dh_install:
	dh_prep
	dh_installdirs /usr/sbin /usr/share/pyshared /usr/share/man/man8
	dh_installman --language=C man/*
	dh_installdocs --exclude=html
	cd $(CURDIR)/debian/iptables-converter/usr/sbin && \
	cp $(CURDIR)/iptables_converter.py iptables-converter && \
	cp $(CURDIR)/ip6tables_converter.py ip6tables-converter && \
	cd $(CURDIR)
	dh_lintian

override_dh_installdocs:
	python setup.py build_sphinx
	dh_installdocs --package=iptables-converter-doc build/sphinx/html

override_dh_auto_clean:
	rm -rf build
	rm -rf *.egg-info

## iptables-converter 0.9.11

=== Makefile ===
FILES= Makefile README.txt LICENSE.txt iptables_converter.py iptables_converter_tests.py 


doc:
	$(MAKE) -C docs html

clean:
	@python setup.py clean --bdist-base build
	@rm -rf *~ *.pyc .pybuild/ .coverage build docs/build/* .tox
	@rm -rf iptables_converter.egg-info
	@rm -rf dist __pycache__ *.py3
	$(MAKE) -C docs clean
	@[ ! -d debian ] || dh_clean

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/iptables-converter.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/iptables-converter.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/iptables-converter"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/iptables-converter"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
iptables-converter (0.9.11-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add d/watch file
  * New upstream version 0.9.11 (Closes: #997602)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 24 Aug 2024 17:10:57 +0200

iptables-converter (0.9.8-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Source only upload. (Closes: #956018)
    - No change in source.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 08 Jun 2020 23:50:33 +0100

iptables-converter (0.9.8-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch the package to Python 3 (Closes: #943068):
    - Remove obsolete X-Python-Version:.
    - Replaced python2 direct depends by ${python3:Depends}.
    - Removed python2 build-depends, replaced python3 build-depends by a
      python3-all build-depends.
    - Use python3 to build the sphinx doc.
  * Ran wrap-and-sort -bastk.
  * Fixed the package descriptions (Closes: #805459).
  * Removed useless overrides.
  * Switched to debhelper-compat = 12.
  * Standards-Version: 4.5.0.
  * Removed wrong exports in d/rules:
    - export DH_VERBOSE=1
    - export DH_OPTIONS=-v
    - export DEB_BUILD_OPTIONS=1
  * Better ordering for d/control source package.

 -- Thomas Goirand <zigo@debian.org>  Sun, 22 Mar 2020 13:01:11 +0100

=== debian/control ===
Source: iptables-converter
Section: utils
Priority: optional
Maintainer: Johannes Hubertz <johannes@hubertz.de>
Uploaders:
 Toni Mueller <toni@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-pytest <!nocheck>,
 python3-setuptools,
 python3-sphinx,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/debian/iptables-converter.git
Vcs-Browser: https://salsa.debian.org/debian/iptables-converter
Homepage: https://github.com/sl0/conv

Package: iptables-converter
Section: utils
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: convert iptables-commands from a file to iptables-save format
 iptables-converter: reads a file with iptables commands and converts these to
 an iptables-save readable format. To provide compatibility with
 "iptables-save -c" command zero packet and byte counters [0:0] are printed
 out. ip6tables-converter does the same for IPv6.

Package: iptables-converter-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: convert iptables-commands from a file to iptables-save format - doc
 iptables-converter: reads a file with iptables commands and converts these to
 an iptables-save readable format. To provide compatibility with
 "iptables-save -c" command zero packet and byte counters [0:0] are printed
 out. ip6tables-converter does the same for IPv6.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_BEFORE_TEST=cp -r {dir}/re*one {dir}/MANIFEST.in {build_dir}
export PYBUILD_TEST_ARGS=-k 'not test_01_iptables_converter_option_h'
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/MANIFEST.in {build_dir}/re*one

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

=== debian/watch ===
version=4
https://github.com/sl0/conv/tags (?:.*/)?v?@ANY_VERSION@@ARCHIVE_EXT@
